%define upstream_name    List-AllUtils
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    1

Summary:    Combines List::Util and List::MoreUtils in one bite-sized package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Are you sick of trying to remember whether a particular helper is defined
in the List::Util manpage or the List::MoreUtils manpage? I sure am. Now
you don't have to remember. This module will export all of the functions
that either of those two modules defines.

Note that all function documentation has been shamelessly copied from the
List::Util manpage and the List::MoreUtils manpage.

Which One Wins?
    Recently, the List::Util manpage has started including some of the subs
    that used to only be in the List::MoreUtils manpage. This module always
    exports the version provided by the List::Util manpage.

%prep
%setup -qn %{upstream_name}-%{upstream_version}
# need List::Util 1.31, we have 1.27 in perl-base.Sflo
rm -fr t/00-compile.t
rm -fr t/01-basic.t
%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml LICENSE META.json Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 09 2015 abfonly <John@smith.org> 0.90.0-1
+ Revision: 285d8d5
- Log: Update to 0.90.0, spec clean, fixed BR and tests


